Page MenuHomePhabricator

Have some tools use their own database user
Closed, DeclinedPublic8 Estimate Story Points

Description

In an effort to prevent XTools from hitting the database quota, we might consider having some tools use a different user. Some tools like Edit Summaries wouldn't benefit that much, since they are used infrequently. Meanwhile other tools like the Edit Counter rely on Top Edits and Auto Edits, so ideally they'd use the same database user.

My thoughts:

  • Give Admin Stats, Admin Score, Edit Summaries and Simple Edit Counter each their own user. There's little harm in this, and for the rare times when the popular tools are overloaded, these tools will still be operational.
  • Give Pages Created and Page History their own users, but ask for a slightly increased quota. From casual observation of the logs it appears we would occasionally hit the default max 5 concurrent connection limit. Combined the two tools just barely outshine the usage of the Edit Counter.
  • Give Automated Edits and Top Edits their own users, but only when there are dedicated (parent) requests. So when using the Edit Counter, which also uses Auto Edits and Top Edits, it will maintain the same connection throughout.

If we do get a little extra quota for Pages Created and Page History (maybe 10 connections), we'll likely be in good shape. If we don't get that extra quota, making each tool have it's own user probably won't help but so much, since the big three are Edit Counter, Pages Created and Page History.

Event Timeline

Matthewrbowker moved this task from Inbox to Other on the XTools board.May 4 2018, 9:20 PM
Matthewrbowker added a subscriber: Matthewrbowker.

This makes a lot of sense. I'm not opposed, but we'd have to make some serious changes to the database engine on the XTools end to make it work.

MusikAnimal lowered the priority of this task from Medium to Low.Aug 10 2018, 7:57 AM
MusikAnimal set the point value for this task to 8.
MusikAnimal closed this task as Declined.Aug 11 2018, 12:00 AM
MusikAnimal moved this task from Other to Complete on the XTools board.

Declining. If we need more database quota we should just ask for it. Hacky workarounds doesn't seem to be solution.

MusikAnimal reopened this task as Open.Dec 19 2018, 5:44 PM
MusikAnimal raised the priority of this task from Low to High.
MusikAnimal moved this task from Complete to Other on the XTools board.

Maybe it is worth a shot. I'm afraid to bug the DBAs more, and something needs to be done.

MusikAnimal closed this task as Declined.Jan 15 2019, 1:31 AM
MusikAnimal moved this task from Other to Complete on the XTools board.

Changing my mind again. Requiring login after hitting a rate limit seems to have solved the urgent issue. More can be read at T211709.